clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol = [
161
161.1625
161.325
161.4875
161.65
161.8125
161.975
162.1375
162.3
162.4625
162.625
162.7875
162.95
163.1125
163.275
163.4375
163.6  
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00065478	0.000662667	0.000670603	0.000678588	0.000686624	0.000694709	0.000702843	0.000711027	0.000733629	0.000792393	0.000864081	0.000952928	0.00106528	0.00120649	0.00138373	0.00163305	0.00200799;
0.000653749	0.000661622	0.000669544	0.000677515	0.000685535	0.000693605	0.000701725	0.000709893	0.00073289	0.000791594	0.00086321	0.000951968	0.0010642	0.00120745	0.00138488	0.00163446	0.00200978;
0.000652722	0.00066058	0.000668488	0.000676444	0.00068445	0.000692505	0.000700609	0.000708763	0.000732151	0.000790796	0.000862341	0.000951009	0.00106313	0.00120841	0.00138603	0.00163586	0.00201157;
0.000651698	0.000659542	0.000667434	0.000675376	0.000683367	0.000691407	0.000699497	0.000707636	0.000731414	0.000790001	0.000861472	0.000950052	0.00106206	0.00120741	0.00138717	0.00163727	0.00201336;
0.000650677	0.000658505	0.000666384	0.000674312	0.000682288	0.000690314	0.000698389	0.000706513	0.000730679	0.000789207	0.000860607	0.000949097	0.00106099	0.0012062	0.00138832	0.00163867	0.00201514;
0.000649658	0.000657473	0.000665337	0.00067325	0.000681212	0.000689223	0.000697283	0.000705392	0.000729945	0.000788414	0.000859743	0.000948144	0.00105993	0.00120499	0.00138947	0.00164008	0.00201693;
0.000648643	0.000656443	0.000664293	0.000672191	0.000680139	0.000688135	0.00069618	0.000704275	0.000729213	0.000787623	0.000858879	0.000947193	0.00105887	0.00120378	0.00139061	0.00164148	0.00201872;
0.00064763	0.000655416	0.000663252	0.000671136	0.000679068	0.00068705	0.000695081	0.00070316	0.000728482	0.000786834	0.000858019	0.000946243	0.0010578	0.00120257	0.00139176	0.00164289	0.0020205;
0.00064662	0.000654393	0.000662213	0.000670083	0.000678001	0.000685968	0.000693984	0.000702049	0.000727753	0.000786045	0.00085716	0.000945296	0.00105675	0.00120137	0.00139291	0.00164429	0.00202229;
0.000645613	0.000653371	0.000661178	0.000669033	0.000676937	0.00068489	0.000692891	0.000700941	0.000727025	0.00078526	0.000856303	0.00094435	0.00105569	0.00120017	0.00139405	0.0016457	0.00202408;
0.000644609	0.000652353	0.000660145	0.000667986	0.000675875	0.000683814	0.000691801	0.000699836	0.000726299	0.000784475	0.000855447	0.000943407	0.00105463	0.00119897	0.00139277	0.0016471	0.00202586;
0.000643607	0.000651337	0.000659116	0.000666942	0.000674818	0.000682741	0.000690714	0.000698735	0.000725574	0.000783692	0.000854593	0.000942465	0.00105358	0.00119777	0.00139138	0.00164851	0.00202765;
0.000642609	0.000650325	0.000658089	0.000665902	0.000673763	0.000681672	0.00068963	0.000697636	0.00072485	0.000782911	0.000853741	0.000941525	0.00105253	0.00119658	0.00139	0.00164991	0.00202944;
0.000641613	0.000649315	0.000657065	0.000664863	0.00067271	0.000680605	0.000688548	0.00069654	0.000724128	0.00078213	0.00085289	0.000940587	0.00105148	0.00119538	0.00138861	0.00165132	0.00203122;
0.00064062	0.000648308	0.000656044	0.000663829	0.000671661	0.000679542	0.00068747	0.000695447	0.000723407	0.000781352	0.000852042	0.000939651	0.00105043	0.00119419	0.00138723	0.00165272	0.00203301;
0.000639629	0.000647304	0.000655026	0.000662797	0.000670615	0.000678482	0.000686395	0.000694358	0.000722688	0.000780575	0.000851194	0.000938717	0.00104939	0.00119301	0.00138585	0.00165413	0.0020348;
0.000638642	0.000646303	0.000654011	0.000661767	0.000669572	0.000677424	0.000685323	0.000693272	0.00072197	0.0007798	0.000850348	0.000937784	0.00104835	0.00119182	0.00138447	0.00165549	0.00203658];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.8500 0.3250 0.0980]',...
    'MarkerFaceColor','[0.8500 0.3250 0.0980]')

zlim([0.0005 0.0022])
ylim([161.0E9 163.6E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([161.0E9 161.5E9 162.0E9 162.5E9 163.0E9 163.6E9])
zticks([0.00065478 0.00095 0.00125 0.00155 0.0018 0.00203658])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - noDoped-20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_20AlDoped_strainenergy_LLZO_48e.eps
print -dpng Lowload_20AlDoped_strainenergy_LLZO_48e.png